
<%= simple_form_for_horizontal(@custom_field_desc) do |f| %>
  <%= f.error_notification %>
  <%= f.error_notification message: f.object.errors[:base].to_sentence if f.object.errors[:base].present? %>

  <div class="form-inputs">
    <%= f.association :custom_field_type, disabled: !@custom_field_desc.new_record? %>

    <%#= f.input :internal_name %>
    <% Meth::CustomFieldDesc.locale_columns(:name).each do |column| %>
      <%= f.input column %>
    <% end %>

    <%= f.input :show_list %>
    <%= f.input :show_search %>

    <%#= f.input :options %>
    <div class="form-inputs">
      <%= f.simple_fields_for :options, OpenStruct.new(@custom_field_desc.options) do |foptions| %>
        <%= foptions.input :order, collection: [['pos', 'pos'], ['alpha', 'alpha']], default: 'pos' %>
      <% end %>
    </div>

    <hr>
    <h4><%= t('.dependency') %></h4>

    <%= f.association :ref_field, collection: Meth::CustomFieldDesc.includes(:custom_field_type).where(meth_custom_field_types: {field_internal: 'select'}) %>
    <% if @custom_field_desc.ref_field %>
      <div id='ref-field-update-list' class='btn btn-sm btn-outline-warning' update-url="<%= meth_custom_field_desc_update_list_dependencies_path %>">Update list</div>
      <% @your_collection = @custom_field_desc.ref_field.list_contents
      %>
      <%= f.input :ref_show_values, collection: @your_collection.map { |c| [c.name, c.id] }, include_blank: true, input_html: { multiple: true } %>
    <% end %>
  </div>

  <div class="form-actions">
    <%= f.button :submit, class: 'btn-outline-warning' %>
  </div>
<% end %>
